<?php

/**
 * Class bCms_menu_page
 */
class bCms_menu_page extends BackModule
{
    /**
     * @param array $formvars
     * @return string
     */
    public function Form($formvars = array())
    {

        // SQL
        if (!empty($formvars['id'])) {
            $this->request = getTable('cms_menu_page', $formvars['id']);
        }
        //-- SQL
        // Champs du formulaire
        $form = new BackForm("Menu ID", "hidden", "cms_menu_id");
        $this->addForm($form);

        $form = new BackForm("Page CMS", "autocomplete", "cms_page_id");
        $form->addAttr('class', 'required');
        $form->addAttr('style', 'width:400px');
        $form->setVar('method', '/cms_page/custom/autocomplete/?cms_page_nom_nom=');
        $form->setVar('param', 'cms_page');
        $this->addForm($form);

        //-- Champs du formulaire

        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        return $this->displayForm($formvars['id'], $formvars['div']);
    }

    /**
     * @param array $formvars
     * @return array|string
     */
    public function Listing($formvars = array())
    {
        // SQL
        $sql = "SELECT cmp.cms_menu_page_id, cmp.cms_menu_page_id";
        $sql .= ", cpn.page_nom_nom";
        $sql .= ", cpn.page_nom_url";
        $sql .= " FROM cms_menu_page cmp";
        $sql .= " LEFT JOIN cms_page cp ON(cp.cms_page_id = cmp.cms_page_id)";
        $sql .= " LEFT JOIN cms_page_nom cpn ON(cpn.cms_page_id = cp.cms_page_id AND cpn.langue_id = '" . LANGUE . "')";

        $sql .= " WHERE 1";

        if (!empty($formvars['cms_menu'])) {
            $sql .= " AND cmp.cms_menu_id = '" . $formvars['cms_menu'] . "'";
        }

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("URL");
        $this->addLabel($label);

        //-- LABELS

        return $this->displayList($formvars['type']);
    }

    //--
}
