var Navigateur = navigator.appName;

if(Navigateur == "Microsoft Internet Explorer")
    var ie = true;
else
    var ie = false;

function refreshSession() {
    new Ajax('/back/js/ajax/refresh.php').request();
}

function stackModal(url) {
    if (typeof window.modalStack == "undefined") {
        window.modalStack = [];
    }

    if (window.modalStack.length < 1 || window.modalStack[window.modalStack.length - 1] !== url) {
        // On ajoute à la pile que si pas un retour en arrière
        window.modalStack.push(url);
    }
}

function unstackModal() {
    window.modalStack.pop();

    if (window.modalStack.length) {
        // On relance l'étape d'avant
        ajax_form(window.modalStack[window.modalStack.length - 1]);
    }
}

function popup(href, id, w, h, r, s) {
    window.open(href, id, 'width='+w+',height='+h+',resizable='+r+',scrollbars='+s+',toolbar=0,directories=0,status=0,menubar=0');
}

function reload() {
    location.reload();
}

function redirect(req)
{
    window.location.href=req;
}


function change_statut(statut_option)
{
    if ($('form1').commande_statut_id) {
        id_statut = $('form1').commande_statut_id.getValue();
        if(statut_option != 'no_update')
        {
            new Ajax(
                '/back/html/commande/export/statut_option/',
                {
                    update: $('div_commande_options'),
                    data:$('form1').toQueryString(),
                    evalScripts: true
                }
            ).request();
        }

        new Ajax(
            '/back/html/commande/export/statut/',
            {
                update: $('commande_statut_id_txt'),

                data:$('form1').toQueryString(),
                evalScripts: true
            }
        ).request();
    } else {
        id_statut = $('ajax_pop').commande_statut_id.getValue();
        if(statut_option != 'no_update')
        {
            new Ajax(
                '/back/html/commande/export/statut_option/',
                {
                    update: $('div_commande_options'),
                    data:$('ajax_pop').toQueryString(),
                    evalScripts: true
                }
            ).request();
        }

        new Ajax(
            '/back/html/commande/export/statut/',
            {
                update: $('commande_statut_id_txt'),
                data:$('ajax_pop').toQueryString(),
                evalScripts: true
            }
        ).request();
    }

}

function change_motif(arrd, data)
{
    $('form1').commande_motif.value = arrd[data];
}


function validateForm(status,obj) {

    if(status)
    {
        if(tinyMCE && $$('.mceEditor').length) tinyMCE.triggerSave();

        new Ajax(
            obj.action,
            {
                data:$(obj).toQueryString(),
                onRequest: toggleSpin,
                onSuccess: backtoList,
                onFailure: displayError
            }
        ).request();
    }
}

function delete_item(supurl,id)
{
    if($('line_'+id)) div = 'line_'+id;
    else div = '';

    var a = false;
    a=confirm('Voulez vous vraiment effacer cet enregistrement ?');
    if(a) {
        new Ajax(
            supurl,
            {
                data:'id='+id+'&div='+div,
                onRequest: toggleSpin,
                onSuccess: deleteRow,
                onFailure: displayError
            }
        ).request();
    }
}

function deleteRow(req)
{

    data = req.split('|');
    if(data[0]) {
        divAlert(data[0], 'success');
    }

    if(data[1] == '_RELOADSOUSMODULEBLOCK_') {

        toggleSpin();
        var url = '/back/html/' + data[3] + '/form/' + data[2] + '/?div=ajax_pop';
        setTimeout(function() {
            jQuery('#overlay').hide();
            ajax_form(url);
        },750);

    } else if(!$(data[1])) {
        setTimeout('location.href="'+data[1]+'"',300);

    } else {

        if(data[2]) {
            updateGroup('field_'+data[2],data[3]);
        } else {
            jQuery('#' + data[1]).remove();
            var f = $$('.records .resultr');
            if(f.length < 2) {
                jQuery('#noresultr').show();
            }

            toggleSpin();
        }
    }

}

function toggleSpin(req)
{
    jQuery('#overlay').toggle();
}

function backtoList(req)
{

    data = req.split('|');
    if(data[0])
        divAlert(data[0],'success');


    if(data[1])
    {
        if(data[1] == '_RELOAD_') {
            updateGroup('field_'+data[2],data[3]);
        } else if(data[1] == '_RELOADSOUSMODULEBLOCK_') {
            var url = '/back/html/' + data[3] + '/form/' + data[2] + '/?div=ajax_pop';
            setTimeout(function(){
                window.modalStack.pop();
                jQuery('#overlay').hide();
                ajax_form(url);
            },750);
        } else {
            setTimeout('location.href="'+data[1]+'"',300);
        }

    }
}

function updateGroup(myID,myUrl)
{
    myClass = myID.substr(myID.indexOf("_")+1,myID.length);

    myID = 'field_'+myClass;

    if (jQuery("#"+myID).length) {
        new Ajax(
            myUrl,
            {
                update:$(myID),
                data:'obj='+$(myClass).value,
                onSuccess: hideajaxForm,
                evalScripts: true
            }
        ).request();
    } else {
        hideajaxForm();
    }
}

function checkForm(obj) {
    //	alert($(obj).toQueryString());
    if(obj.action.indexOf('?') != '-1')
        ajax_form(obj.action+'&'+$(obj).toQueryString());
    else
        ajax_form(obj.action+'?'+$(obj).toQueryString());
}

function displayError(req)
{
    toggleSpin();

    data = req.responseText.split('|');
    if(data[0])
        divAlert(data[0],'error');
}

function divAlert(msg,myClass)
{
    var type = '';
    var classIcon = '';

    if (myClass == 'success') {
        classIcon = 'fa fa-check';
        type = 'success';
    } else if (myClass == 'warning') {
        classIcon = 'fa fa-warning';
        type = 'warning';
    } else if (myClass == 'error') {
        classIcon = 'fa fa-ban';
        type = 'danger';
    } else {
        classIcon = 'fa fa-info';
        type = 'info';
    }

    jQuery.notify({
        icon: classIcon,
        message: msg
    },{
        type: type
    });
}

function expand_lang(obj,table,zis,champ)
{
    jQuery(obj).attr('disabled', true);

    var parentFormGroup = jQuery(obj).parents('.form-group');
    var parentForm = jQuery(obj).parents('form');

    new Ajax(
        '/back/html/js/ajax/selectLG.php',
        {
            // update: $(tmpDiv),
            data:'table='+table+'&this='+zis,
            onSuccess: function(data) {

                jQuery(data).insertAfter(parentFormGroup);

                // mise a jour des champs a validé
                jQuery(parentForm).validator('update');
            }
        }
    ).request();
}


var ajaxForm = false;

function ajax_form(zeurl)
{
    stackModal(zeurl);

    if(!ajaxForm){
        ajaxForm = document.createElement('DIV');
    }
    ajaxForm.innerHTML="<div class='text-center' style='padding: 50px;'><i class=\"fa fa-fw fa-spinner fa-spin fa-3x\"></i></div>";
    ajaxForm.id = 'div_ajaxForm';
    jQuery('#formModalContent').html(ajaxForm);
    jQuery('#formModal').modal('handleUpdate');

    new Ajax(
        zeurl,
        {
            update: ajaxForm,
            data:'type=group&modal=1',
            onSuccess: adapt_jax_div,
            evalScripts: true
        }
    ).request();

}


function adapt_jax_div(req)
{
    jQuery('#formModal').modal('show');

}

function hideajaxForm()
{
    if(ajaxForm){
        jQuery('#formModal').modal('hide');
        ajaxForm = false;
    }
    $$('#container select').setStyles({
        visibility: 'visible'
    });


    toggleSpin();
}


function change_limit(newLimit, module, myURL)
{
    //alert(myURL+newLimit+module);

    new Ajax(
        '/back/js/ajax/change_limit.php',
        {
            data:'module='+module+'&newLimit='+newLimit+'&myURL='+myURL,
            onSuccess: redirect,
            evalScripts: true
        }
    ).request();
}

var curTable;
var curMyUrl;

function setDefault(table,table_base,id,def,myUrl)
{
    curTable = table;
    curMyUrl = myUrl;

    new Ajax(
        '/back/js/ajax/set_default.php',
        {
            data:'table='+table+'&table_base='+table_base+'&id='+id+'&default='+def,
            onRequest: toggleSpin,
            onSuccess: refreshGroup,
            evalScripts: true
        }
    ).request();
}

function refreshGroup()
{
    updateGroup('field_'+curTable,curMyUrl);
}


var statusDiv = false;

function show_status(obj,table,id,statut)
{
    img = table+'_'+id;

    if(!statusDiv){
        statusDiv = document.createElement('div');
        statusDiv.style.position = 'absolute';
        document.body.appendChild(statusDiv);
    }

    statusDiv.innerHTML = 'azdSDsdsdsdsd';

    var Pos = $(obj).getPosition();

    //alert(Pos.x+' '+Pos.y);

    statusDiv.style.left = Pos.x - 110 + 'px';
    statusDiv.style.top = Pos.y + 23 + 'px';



    statusDiv.id = "statusDiv";
    statusDiv.style.display='none';

    new Ajax('/back/js/ajax/status.php', {
        data:'table='+table+'&statut='+statut+'&id='+id,
        update: statusDiv,
        onComplete: showStatusDiv
    }).request();
}
function show_status_boutique(obj,table,id,statut)
{
    img = table+'_'+id;

    if(!statusDiv){
        statusDiv = document.createElement('div');
        statusDiv.style.position = 'absolute';
        document.body.appendChild(statusDiv);
    }

    statusDiv.innerHTML = 'azdSDsdsdsdsd';

    var Pos = $(obj).getPosition();

    //alert(Pos.x+' '+Pos.y);

    statusDiv.style.left = Pos.x - 110 + 'px';
    statusDiv.style.top = Pos.y + 23 + 'px';



    statusDiv.id = "statusDiv";
    statusDiv.style.display='none';

    new Ajax('/back/js/ajax/status_boutique.php', {
        data:'table='+table+'&statut='+statut+'&id='+id,
        update: statusDiv,
        onComplete: showStatusDiv
    }).request();
}

function set_statut(table,id,statut,update)
{
    img = table+'_'+id;

    new Ajax(
        '/back/js/ajax/status.php',
        {
            data:'table='+table+'&statut='+statut+'&id='+id+'&update='+update,
            onSuccess: updateStatut2,
            evalScripts: true
        }
    ).request();
}

function set_statut_boutique(table,id,statut,update,boutique)
{
    img = table + '_' + id + '_' + boutique;

    new Ajax(
        '/back/js/ajax/status_boutique.php',
        {
            data:'table=' + table + '&statut=' + statut + '&id=' + id + '&update=' + update + '&boutique_id=' + boutique,
            onSuccess: updateStatut2,
            evalScripts: true
        }
    ).request();
}

function updateStatut2(req)
{
    document.getElementById(img).src=req;
    if(statusDiv){
        $(statusDiv).remove();
        statusDiv = false;
    }
}


function showStatusDiv()
{
    if(statusDiv){
        $(statusDiv).show();
    }
}


function switch_actif(table,id,statut)
{
    img = table+'_'+id;

    new Ajax(
        '/back/js/ajax/actif.php',
        {
            data:'table='+table+'&statut='+statut+'&id='+id,
            onSuccess: updateStatut,
            evalScripts: true
        }
    ).request();
}

function updateStatut(req)
{
    var elm = jQuery('#' + img);
    if (elm.hasClass('fa-toggle-on')) {
        elm.addClass('fa-toggle-off text-red');
        elm.removeClass('fa-toggle-on text-green');
    } else {
        elm.removeClass('fa-toggle-off text-red');
        elm.addClass('fa-toggle-on text-green');
    }
}


function editCommande(obj,id_commande)
{
    //alert(id_commande);
    new Ajax(
        '/back/js/ajax/update_prod_attribut.php',
        {
            method:'get',
            data:$(obj).toQueryString(),
            onSuccess: function(req) {
                if(confirm(req))
                {
                    new Ajax(
                        '/back/js/ajax/update_prod_attribut.php',
                        {
                            data:$(obj).toQueryString(),
                            onSuccess: function(req) {
                                alert(req);
                                ajax_form('/back/html/commande/custom/details/'+id_commande+'/');
                            }
                        }
                    ).request();
                }
            }
        }
    ).request();

}

function affectStock(obj, commande_produit_id, commande_produit_attribut_id)
{

    act=document.getElementById('affect_'+commande_produit_id+'_'+commande_produit_attribut_id).value;

    new Ajax(
        '/back/js/ajax/update_stock.php',
        {
            data:'act='+act+'&commande_produit_id='+commande_produit_id+'&commande_produit_attribut_id='+commande_produit_attribut_id,
            onSuccess: function(req) {
                if(req==0) {
                    inputVal=1;
                    $(obj).src = '/back/styles/images/rouge.png';
                    if(act==1) alert('Stock insuffisant !');
                }
                if(req==1) {
                    inputVal=0;
                    $(obj).src = '/back/styles/images/vert.png';
                }
                if(req==2) {
                    inputVal=0;
                    $(obj).src = '/back/styles/images/orange.png';
                }
                document.getElementById('affect_'+commande_produit_id+'_'+commande_produit_attribut_id).value=inputVal;
            }
        }
    ).request();
}



function toggleEditor(id) {
    if (!tinyMCE.getInstanceById(id))
        tinyMCE.execCommand('mceAddControl', false, id);
    else
        tinyMCE.execCommand('mceRemoveControl', false, id);
}


/**
 * Jquery
 */

function initAutocomplete(obj) {
    obj.select2({
        minimumInputLength: 1,
        placeholder: 'Rechercher',
        ajax: {
            url: obj.data('remote-url'),
            dataType: 'json',
            delay: 250,
            data: function (params) {
                return {
                    q: params.term, // search term
                    page: params.page
                };
            }
        }
    });
}

// Redimensionne la hauteur de l'iframe en fonction de la hauteur de la page affichée, mais avec une limite max pour conserver une bonne ergo
function resizeIframe(obj) {
    var height = obj.contentWindow.document.body.scrollHeight;
    if (height > 600) {
        height = height / 2;
    }
    if (height > 2000) {
        height = 2000;
    }
    obj.style.height = height + 'px';
}

// Recharge la page affichée dans l'iframe
function refreshIframeRendu(classCss) {

    var iframes = (typeof classCss === undefined) ? document.getElementsByClassName(classCss) : document.getElementsByClassName('iframeRendu');

    iframes.forEach(function(iframe) {
        iframe.contentWindow.location.reload(true);
    });
}