<?php

use Phinx\Migration\AbstractMigration;

class AddCmsPageBlockBackModule extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $data[] = [
            'module_parent_id' => 246,
            'module_nom'       => 'Blocs',
            'module_titre'     => 'Gestion des Blocs',
            'module_page'      => 'cms_block',
            'module_rang'      => '1',
            'actif_id'         => '2',
            'module_order'     => '',
            'module_group'     => '',
            'module_limit'     => '50',
            'module_bases'     => 'cms_block|cms_block_nom',
            'module_icon'      => ''
        ];

        $this->table('back_module')->insert($data)->update();
    }
}
