<?php

use Phinx\Migration\AbstractMigration;

class AddTemplatesToCmsPageTypes extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->table('cms_page_type')->addColumn('cms_page_type_template', 'string', ['after' => 'cms_page_type_id'])->update();

        $this->query('UPDATE cms_page_type SET cms_page_type_template = "cms/standard.tpl" WHERE cms_page_type_id = "1"');
        $this->query('UPDATE cms_page_type SET cms_page_type_template = "cms/block.tpl" WHERE cms_page_type_id = "2"');
    }
}
