<?php

use Phinx\Migration\AbstractMigration;

class UpdatePathsTemplateBlockCms extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $this->query('UPDATE cms_block_type SET cms_block_type_template = "cms/blocks/block_banner.tpl" WHERE cms_block_type_id = "1"');
        $this->query('UPDATE cms_block_type SET cms_block_type_template = "cms/blocks/block_image.tpl" WHERE cms_block_type_id = "2"');
        $this->query('UPDATE cms_block_type SET cms_block_type_template = "cms/blocks/block_text.tpl" WHERE cms_block_type_id = "3"');
    }
}
