<?php

use Phinx\Migration\AbstractMigration;

class InsertMenuPageLinkBackModule extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function change()
    {
        $data[] = [
            'module_parent_id' => 246,
            'module_nom'       => 'Gestion des Menus Pages',
            'module_titre'     => 'Menu Page',
            'module_page'      => 'cms_menu_page',
            'module_class'     => '',
            'module_rang'      => 60,
            'actif_id'         => 2,
            'module_order'     => 2,
            'module_group'     => 'cmp.cms_menu_page_id',
            'module_limit'     => 50,
            'module_bases'     => 'cms_menu_page',
            'module_icon'      => ''
        ];

        $this->table('back_module')->insert($data)->update();
    }
}
