<?php

use Phinx\Migration\AbstractMigration;

class AddPrevisuBackModule extends AbstractMigration
{
    /**
     * Change Method.
     *
     * Write your reversible migrations using this method.
     *
     * More information on writing migrations is available here:
     * http://docs.phinx.org/en/latest/migrations.html#the-abstractmigration-class
     *
     * The following commands can be used in this method and Phinx will
     * automatically reverse them when rolling back:
     *
     *    createTable
     *    renameTable
     *    addColumn
     *    renameColumn
     *    addIndex
     *    addForeignKey
     *
     * Remember to call "create()" or "update()" and NOT "save()" when working
     * with the Table class.
     */
    public function up()
    {
        $data[] = [
            "module_parent_id" => 246,
            "module_nom"       => "Prévisualisation des pages CMS",
            "module_titre"     => "Previsu CMS",
            "module_page"      => "cms_page_previsu",
            "module_rang"      => 90,
            "actif_id"         => 2,
            "module_order"     => 2,
            "module_group"     => "",
            "module_limit"     => "",
            "module_bases"     => "",
            "module_icon"      => ""
        ];

        $this->table('back_module')
             ->insert($data)
             ->update();
    }

    public function down()
    {
        $this->execute("DELETE FROM back_module WHERE module_page = 'cms_page_previsu'");
    }
}
