{extends file="layout/layout.tpl"}

{block name="commenttpl"}<!--cms/block-->{/block}

{block name="content"}

    {* //CONTENT *}
    <div class="content">

        {* //CONTENT - Header *}
        <div class="contentHeader">
            <div class="row">
                <div class="col-12">

                    {* //BREADCRUMB *}
                    {Breadcrumb::getInstance()->render()}
                    {* BREADCRUMB// *}

                    <h1 class="h1">{$cmsPage.page_nom_nom}</h1>
                </div>
            </div>
        </div>
        {* CONTENT - Header// *}

        {* //CONTENT - Body *}
        <div class="contentBody">
            <div class="row">
                <div class="col-12">

                    {if !empty($cmsBlocks)}
                        <section class="blockItem">
                            <div class="row">
                                {foreach $cmsBlocks as $cmsBlock}
                                    {include file=$cmsBlock.cms_block_type_template cmsBlock=$cmsBlock}
                                {/foreach}
                            </div>
                        </section>
                    {/if}

                </div>
            </div>
        </div>
        {* CONTENT - Body// *}

    </div>
    {* CONTENT// *}

{/block}

{block name="script-js"}
{/block}