{extends file="layout/layout.tpl"}
{assign var="template" value="Accueil"}

{block name="content"}
    <!-- index.tpl -->

    {* //SLIDER *}
    {if !empty($slideshows)}
        <div id="sliderHome" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
                {foreach from=$slideshows item=slideshow name=slider}
                    <div class="carousel-item {if $smarty.foreach.slider.first}active{/if}">
                        {image src=$slideshow.ads_nom_image width=1150 height=340 class="d-block w-100"}
                        <div class="carousel-caption d-none d-md-block">
                            <h5>{$slideshow.ads_nom_nom}</h5>
                            <p>{$slideshow.ads_nom_texte}</p>
                            {if !empty($slideshow.ads_nom_lien)}
                                <a href="{$slideshow.ads_nom_lien}">{txt value="En savoir plus"}</a>
                            {/if}
                        </div>
                    </div>
                {/foreach}
            </div>
            <a class="carousel-control-prev" href="#sliderHome" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#sliderHome" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    {/if}
    {* SLIDER// *}

    {* //BLOCKS *}
    {if !empty($homepageBlocks)}
        <div class="row align-items-center">
            {foreach $homepageBlocks as $homepageBlock}
                {include file=$homepageBlock.cms_block_type_template homepageBlock=$homepageBlock}
            {/foreach}
        </div>
    {/if}
    {* BLOCKS// *}

{/block}

{block name="script-js"}{/block}